[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# IReadWriteSync.BeginWrite

Start a write operation.

## Declaration

Source position: systhrdh.inc line 20

`function IReadWriteSync.BeginWrite: Boolean;`

## Description

BeginWrite signals the begin of a write operation. This call will block if any other read or write operation is currently in progress. It will resumt only after all other read or write operations have finished.

## See also

IReadWriteSync.EndRead |  | End a read operation
IReadWriteSync.EndWrite |  | End a write operation.
IReadWriteSync.BeginRead |  | Start a read operation.

Documentation generated on: Feb 26 2014